<template>
  <a-form :model="form" ref="formRef">
    <a-form-item
      label="日期"
      name="date"
      :rules="[{ required: true, message: '请选择日期' }]"
    >
      <a-date-picker
        format="YYYY/MM/DD"
        :disabledDate="disabledDate"
        v-model:value="form.date"
      />
    </a-form-item>
    <a-form-item
      label="时间"
      name="time"
      :rules="[{ required: true, message: '请选择时间' }]"
    >
      <a-time-picker v-model:value="form.time" />
    </a-form-item>
    <a-form-item>
      <a-button @click="$emit('cancel')">取消</a-button>
      <a-button
        style="margin-left: 10px"
        type="primary"
        @click="$emit('submit')"
      >确定</a-button>
    </a-form-item>
  </a-form>
</template>

<script setup>
import { defineProps, defineEmits, reactive } from 'vue';

const props = defineProps();
const emit = defineEmits();
const form = reactive({
  date: '',
  time: '',
});

const disabledDate = (currentDate) => {
  return currentDate && currentDate < dayjs().startOf('day');
};
</script>

<style scoped>
/* 添加自定义样式 */
</style>
